/** 
   grid-breakpoints:
   xs: 0,
   sm: 320px,
   md: 768px,
   lg: 1024px

   @media (max-width: 320px) {}
   @media (max-width: 767px) {}
   @media only screen and (min-width : 768px) and (max-width : 1024px) {}
*/

/**
 * Global
 */
.ui-page {
   background-color: #ffffff;
}

.page-container {
   display:block;
   position:relative;
   left: 0px;
   top:0px;
   padding-top:0px;
   height: auto;
   min-height: calc(var(--vh, 1vh) * 100);
   max-height: calc(var(--vh, 1vh) * 100);
   max-width: calc(var(--vw, 1vw) * 100);
   overflow-y: auto;
   overflow-x: hidden;
   background-color:#ffffff;
}
.paginator .page-container {
   height: auto;
   min-height: auto;
   max-height: none;
}
.cmc-container .page-title {
   display: none!important;
}

.clearfix {
   overflow: auto;
   zoom: 1;
}

.center-screen-vertical {
   display:flex;
   margin-top: calc(var(--vh, 1vh) * 30);
}

.btn {
   border-radius:2px;
}

.hidden {
   display: none;
}
.not-visible {
   opacity:0;
   visibility: hidden;
}

.navbar {
   position: fixed;
   width: 100%;
   min-width: 100%;
   min-height: 60px;
   margin-bottom: 0px;
   z-index:100;
   background-color: #3c3c3b;
   border: none;
   border-radius: 0px;
}
.navbar2 {
   background: none !important;
   background-image: none !important;
   background-color: rgba(0, 102, 255, 1) !important;
}

.cmc-container {
  top: 75px;
}

input {
   width:100%;
   border:1px solid #e6e6e6;
   border-radius: 2px;
   padding-left:10px;
   padding-right:10px;
   padding-top:5px;
   padding-bottom:5px;
}

.under-development {
  display: block;
  position: relative;
  margin-bottom: 5px;
  color: rgb(209, 32, 32) !important;
  font-weight: 600 !important;
  font-size: 1.4em !important;
}

@media(max-width: 767px) {

  .neg-margin-mobile-25 {
    margin-top: -25px !important;
  }

}

/**
 * Typography
 */
@font-face {
  font-family: 'roboto-light';
  src: url('../fonts/Roboto-Light.ttf');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'roboto-bold';
  src: url('../fonts/Roboto-Bold.ttf');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'roboto-regular';
  src: url('../fonts/Roboto-Regular.ttf');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'roboto-black';
  src: url('../fonts/Roboto-Black.ttf');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'roboto-italic';
  src: url('../fonts/Roboto-Italic.ttf');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'helvetica';
  src: url('../fonts/helvetica.eot');
  src: url('../fonts/helvetica.eot?#iefix') format('embedded-opentype'),
       url('../fonts/helvetica.woff2') format('woff2'),
       url('../fonts/helvetica.woff') format('woff'),
       url('../fonts/helvetica.ttf') format('truetype'),
       url('../fonts/helvetica.svg#Helvetica') format('svg');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'helvetica75';
  src: url('../fonts/helvetica75-bold.eot');
  src: url('../fonts/helvetica75-bold.eot?#iefix') format('embedded-opentype'),
       url('../fonts/helvetica75-bold.woff2') format('woff2'),
       url('../fonts/helvetica75-bold.woff') format('woff'),
       url('../fonts/helvetica75-bold.ttf') format('truetype'),
       url('../fonts/helvetica75-bold.svg#Helvetica75-Bold') format('svg');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: 'arialregular';
  src: url('../fonts/arial-webfont.eot');
  src: url('../fonts/arial-webfont.eot?#iefix') format('embedded-opentype'),
       url('../fonts/arial-webfont.woff2') format('woff2'),
       url('../fonts/arial-webfont.woff') format('woff'),
       url('../fonts/arial-webfont.ttf') format('truetype'),
       url('../fonts/arial-webfont.svg#arialregular') format('svg');
  font-weight: normal;
  font-style: normal;
}

html, body {
  font-family:'roboto-regular' !important;
}

a, label, p, span, small, h1, h2, h3, h4, ul, li {
   font-family:'roboto-bold' !important;
   text-shadow: none;
}
p {
   font-weight:bold;
   font-style:normal;
}

.content-section h1,
.content-section h2,
.content-section h3 {
   font-family:'roboto-regular';
   font-weight: normal
}
.content-section p {
   font-family:'roboto-regular';
   font-weight: normal;
}

.heading-1 {
   font-family:'roboto-regular';
   font-size:36px;
   font-style:normal;
   font-weight:bold;
   text-align:left;
}
.heading-2 {
   font-family:'roboto-regular';
   font-weight:bold;
   font-style:normal;
   font-size:24px;
   text-align:left;
}
.heading-3 {
   font-family:'roboto-regular';
   font-weight:bold;
   font-style:normal;
   font-size:18px;
   text-align:left;
}
.heading-4 {
   font-family:'roboto-regular';
   font-weight:bold;
   font-style:normal;
   font-size:14px;
   text-align:left;
}
.heading-5 {
   font-family:'roboto-regular';
   font-weight:bold;
   font-style:normal;
   text-align:left;
}
.heading-6 {
   font-family:'roboto-regular';
   font-weight:bold;
   font-style:normal;
   font-size:10px;
   text-align:left;
}

.impact-heading {
   text-rendering: optimizeLegibility;
   font-kerning: normal;
   white-space: nowrap;
   cursor: pointer;
   font-family: Impact;
   font-weight: 900;
   font-style: normal;
   font-size: 36px;
}
.helvetica-bold-text {
   font-family: "roboto-bold";
   font-weight: 700;
   font-style: normal;
   font-size: 18px;
}
.text-right {
   position: relative;
   float: right;
   top: -30px;
   right: 20px;
   text-align: right;
   color: rgba(0, 0, 0, 0.4);
}

@media(max-width:767px) {

  .text-right {
    margin-top: 50px;
  }

  .cmc-container, 
  .component-main-container .content-container {
    top: 25px;
  }
  
}

/**
 * Forms
 */
.form {
   margin-top:10px;
   margin-bottom:10px;
   padding:10px;
   background-color:#fafafa;
   border:1px solid #f0f0f0;
   border-radius:2px;
}
.form-header, .form-body, .form-footer {
   width:100%;        
}
.form-header label {
   font-weight: bold;
   color:#333333;
}
.form-body {
   margin-top:10px;
   margin-bottom:10px;
}
.form-body input {
   margin-top:2px;
   margin-bottom:2px;
}
.form-footer .submit{
   float:right;
}

.field-validation-container {
   height:0px;
   color:#fafafa;
   border-radius:2px;
   visibility: hidden;
}
.field-validation-container.error {
   height:auto;
   margin-bottom:10px;
   padding-left:10px;
   padding-right:10px;
   padding-top:10px;
   background-color: #ED3E2F;
   border:1px solid #C50B12;
   visibility: visible;
}
.field-validation-container.success {
   height:auto;
   margin-bottom:10px;
   padding-left:10px;
   padding-right:10px;
   padding-top:10px;
   background-color: #FDF052;
   border:1px solid #FFA016;
   visibility: visible;
}
.field-validation-container.success {
   height:auto;
   margin-bottom:10px;
   padding-left:10px;
   padding-right:10px;
   padding-top:10px;
   background-color: #57AD68;
   border:1px solid #187500;
   visibility: visible;
}

/**
 * Filters
 */
.blur-filter {
   position:absolute;
   -webkit-filter: blur(1px);
   -moz-filter: blur(1px);
   -o-filter: blur(1px);
   -ms-filter: blur(1px);
   filter: blur(1px);
}
.transparent-filter.selectable {
   position: relative;
   top: -74px;
   left: 0px;
   width: 100%;
   height: 100%;
   opacity: 0.1;
   z-index: 101;
   cursor: pointer;
}
.opaque-filter {
   position:absolute;
   opacity:0.6;
}
.blueish-filter, .greenish-filter, .yellowish-filter, .pinkish-filter, .purpleish-filter {
   position: absolute;
   top: 0px;
   left: 0px;
   width: 100%;
   height: calc(var(--vh, 1vh) * 100);
   opacity: 0.1;
}
.dark-filter {
   background-color: #333333;
}
.blueish-filter {
   background-color: #256DB6;
}
.greenish-filter {
   background-color: #84CC12;
}
.yellowish-filter {
   background-color: #F59A05;
}
.pinkish-filter {
   background-color: #EB94B7;
}
.purpleish-filter {
   background-color: #A49CDF;
}

/**
 * Scrollbar
 */
::-webkit-scrollbar {
   width: 3px; 
   height: 12px;
} 
::-webkit-scrollbar-track {
   background: #0000001a;
}
::-webkit-scrollbar-thumb {
   background: #00000079;
}

/**
 * Colors
 */
.white {
   color: #ffffff;  
}

/**
 * Buttons
 */
.modal-title .btn-close {
   display:block;
   position:absolute;
   right: 10px;
   top: 10px;
   width: 24px;
   height: 24px;
   color:#ffffff!important;
}
.btn-close span {
   color:#ffffff!important;
   text-decoration-color: #ffffff!important;
}
.modal-backdrop {
  background-color: #000;
  opacity: 0!important;
}

/**
 * Call attention
 */
.call-attention:hover {
  animation-name: anim-call-attention;
  animation-duration: 250ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: anim-call-attention;
  -webkit-animation-duration: 250ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: anim-call-attention;
  -moz-animation-duration: 250ms;
  -moz-animation-fill-mode: forwards;
 
  -ms-animation-name: anim-call-attention;
  -ms-animation-duration: 250ms;
  -ms-animation-fill-mode: forwards;
}

@keyframes anim-call-attention {
  0% {
    transform: translateX(-10px);
  }
  50% {
    transform: translateX(10px)
  }
  100% {
    transform: translateX(0px)
  }
}
@-moz-keyframes anim-call-attention {
  0% {
    transform: translateX(-10px);
  }
  50% {
    transform: translateX(10px)
  }
  100% {
    transform: translateX(0px)
  }
}
@-webkit-keyframes anim-call-attention {
  0% {
    transform: translateX(-10px);
  }
  50% {
    transform: translateX(10px)
  }
  100% {
    transform: translateX(0px)
  }
}

/**
 * Fade-in animation
 */
@keyframes fade-in {
   from {
      opacity:0;
   }
   to {
      opacity:1;
   }
}
@-moz-keyframes fade-in {
   from {
      opacity:0;
   }
   to {
      opacity:1;
   }
}
@-webkit-keyframes fade-in {
   from {
      opacity:0;
   }
   to {
      opacity:1;
   }
}

/**
 * Modals
 */
.modal-backdrop {
  background-color: #000;
  opacity: 0.5!important;
}
.modal-dialog {
  z-index:1050;
}
.modal-content {
  border-radius: 5px;
}
.modal-content .close,
.modal-content .close:hover {
  display: block;
  position: absolute;
  float: right;
  right: -70px;
  top: 0px;
  width: 70px;
  height: 70px;
  padding: 0px;
  padding-bottom: 0px;
  border-radius: 5px;
  text-shadow: none;
  font-size: 50px;
  opacity: 1;
  color: #ffffff;
  
  box-shadow: none;
  -webkit-box-shadow: none;
  -ms-box-shadow:none;
}

.modal-content .close {
  animation-name: transparent-bg;
  animation-duration: 250ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: transparent-bg;
  -webkit-animation-duration: 250ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: transparent-bg;
  -moz-animation-duration: 250ms;
  -moz-animation-fill-mode: forwards;
 
  -ms-animation-name: transparent-bg;
  -ms-animation-duration: 250ms;
  -ms-animation-fill-mode: forwards;
}
.modal-content .close:hover { 
  animation-name: colorize-bg;
  animation-duration: 250ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: colorize-bg;
  -webkit-animation-duration: 250ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: colorize-bg;
  -moz-animation-duration: 250ms;
  -moz-animation-fill-mode: forwards;
 
  -ms-animation-name: colorize-bg;
  -ms-animation-duration: 250ms;
  -ms-animation-fill-mode: forwards;
}

/**
 * Colorize-bg
 */
@keyframes colorize-bg {
  from {
    background-color: rgba(0, 0, 0, 0.2);
  }
  to {
    background-color: #333333;
  }
}
@-moz-keyframes colorize-bg {
  from {
    background-color: rgba(0, 0, 0, 0.2);
  }
  to {
    background-color: #333333; 
  }
}
@-webkit-keyframes colorize-bg {
  from {
    background-color: rgba(0, 0, 0, 0.2);
  }
  to {
    background-color: #333333;
  }
}

/**
 * Transparent-bg
 */
 @keyframes transparent-bg {
  from {
    background-color: #333333;
  }
  to {
    background-color: rgba(0, 0, 0, 0.2);
  }
}
@-moz-keyframes transparent-bg {
  from {
    background-color: #333333;
  }
  to {
    background-color: rgba(0, 0, 0, 0.2);
  }
}
@-webkit-keyframes transparent-bg {
  from {
    background-color: #333333;
  }
  to {
    background-color: rgba(0, 0, 0, 0.2);
  }
}

@media(max-width:767px) {
  .modal-simple-message {
    height: calc(100% - 25px);
  }
  .modal-simple-message .modal-body img {
    left: 0px!important;
  }

  .modal-content .close,
  .modal-content .close:hover {
    right: -21px;
    top: -70px !important;
    width: 70px;
    height: 70px;
  }

  /**
    * Colorize-bg
    */
  @keyframes colorize-bg {
    from {
      background-color: transparent;   
    }
    to {
      background-color: transparent;   
    }
  }
  @-moz-keyframes colorize-bg {
    from {
      background-color: transparent;
    }
    to {
      background-color: transparent;   
    }
  }
  @-webkit-keyframes colorize-bg {
    from {
      background-color: transparent;
    }
    to {
      background-color: transparent;   
    }
  }

  /**
   * Transparent-bg
   */
  @keyframes transparent-bg {
    from {
      background-color: transparent;   
    }
    to {
      background-color: transparent;
    }
  }
  @-moz-keyframes transparent-bg {
    from {
      background-color: transparent;   
    }
    to {
      background-color: transparent;
    }
  }
  @-webkit-keyframes transparent-bg {
    from {
      background-color: transparent;   
    }
    to {
      background-color: transparent;
    }
  }
}

/**
 * Safe image
 */
.safe-img {
  display:block;
  position:relative;
  left:0px;
  top:0px;
}
.safe-img object,
.safe-img img {
  display:inline-block;
  position:relative;
  width:100%;
  height:100%;
}
.safe-img img {
  padding:2px;
}

@media (max-width: 767px) {

  .navbar-collapse > ul > li:nth-child(2) a,
  .navbar-collapse > ul > li:nth-child(3) a {
     left: 0px !important;
  }

}

/**
 * Component: Simple Message Dialog
 * Used at the end of each unit
 */
.modal-body p {
  margin-top: 0px !important;
  margin-bottom:10px !important;
}
.modal-body {
  padding-top: 40px;
  padding-bottom: 40px;
  padding-left: 80px;
  padding-right: 80px;
  text-align: center;
}
.modal-body .support-msg, .modal-body .support-msg {
  margin-top: 10px !important;
  margin-bottom: 10px !important;
}

/**
 * Evaluation status modal
 */
.eval-status-container .modal-dialog .modal-content .close, 
.eval-status-container .modal-dialog .modal-content .close:hover {
  top: 0px;
}
.eval-status-container .modal-dialog .modal-content .modal-body {
  padding-top: 25px !important;
  padding-bottom: 15px !important;
  padding-left: 25px;
  padding-right: 25px;
  text-align: center;
}
.eval-status-container .modal-dialog .modal-content .modal-body img {
  display: block;
  position: relative;
  left: 0px;
  top: auto;
  width: auto;
  height: 200px;
  margin: auto;
  margin-bottom: 20px;
}
.eval-status-container .modal-dialog .modal-content .modal-body p {
  font-size: 1em;
}

/**
 * Unit Question Status container within the Evaluation status modal dialog of each unit
 */
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status {
  margin-top:10px;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status label {
  margin-top: 0px;
  margin-bottom: 30px;
  font-size: 1em;
  font-family: 'roboto-regular' !important;
  color: #333333;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul {
  list-style-type: none;
  margin-left: 0;
  padding-left: 0;
  max-height: 100px;
  overflow-y: auto;
  background-color: #fefefe;
  border: 1px solid #fafafa;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li:nth-child(even) {
  background-color: #f5f5f5;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li:nth-child(odd) {
  background-color: #fefefe;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li .question-link {
  display: block;
  position: relative;
  width: auto;
  height: auto;
  margin:auto;
  cursor: default;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li .question-link .question-status-img,
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li .question-link span {
  display: inline-block;
  position: relative;
  left: 0px;
  cursor: default;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li .question-link .question-status-img {
  top: 3px;
  width: 32px;
  height: auto;
  margin-bottom: 8px;
  margin-right: 15px;
}
.eval-status-container .modal-dialog .modal-content .modal-body .unit-question-status ul li .question-link span {
  top: 0px;
  font-size:1.2em;
  color:#333333;
}

/**
 * Action buttons
 */
.action-btns {
  height: 65px;
  margin-bottom: 20px;
  background-color: #ffffff;
}
.action-btns,
.action-btns p,
.action-btns .action-btn {
  display: block;
  position: relative;
  top: 0px;
  width: 100%;
}
.action-btns p {
  float: left;
  left: 0;
  width: 100%;
  margin-top: 20px !important;
  font-size: 13px !important;
  font-weight: 400 !important;
  font-family: roboto-regular !important;
}
.action-btns .action-btn.left {
  float: left;
  left: 0px;
  width: 48%;
}
.action-btns .action-btn.right {
  float: right;
  right: 0px;
  width: 48%;
}
.action-btns .action-btn.center {
  float: left;
  left: 20%;
  width: 60%;
}
.action-btns .action-btn,
.action-btns .action-btn:hover {
  font-family: 'roboto-bold';
  font-size: 1.1em;
  border-radius: 5px;
}
.action-btns .action-btn {
  animation-name: uncolorize-action-btn;
  animation-duration: 400ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: uncolorize-action-btn;
  -webkit-animation-duration: 400ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: uncolorize-action-btn;
  -moz-animation-duration: 400ms;
  -moz-animation-fill-mode: forwards;
  
  -ms-animation-name: uncolorize-action-btn;
  -ms-animation-duration: 400ms;
  -ms-animation-fill-mode: forwards;
}
.action-btns .action-btn:hover {
  animation-name: colorize-action-btn;
  animation-duration: 400ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: colorize-action-btn;
  -webkit-animation-duration: 400ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: colorize-action-btn;
  -moz-animation-duration: 400ms;
  -moz-animation-fill-mode: forwards;
  
  -ms-animation-name: colorize-action-btn;
  -ms-animation-duration: 400ms;
  -ms-animation-fill-mode: forwards;
}

/**
 * Colorize / Uncolorize action button
 */
@keyframes colorize-action-btn {
  from {
      background-color: #ffffff;
      border: 1px solid #111111;
      color: #333333;
  }
  to {
      background-color: #333333;
      border: 1px solid #222222;
      color: #ffffff;
  }
}
@-moz-keyframes colorize-action-btn {
  from {
      background-color: #ffffff;
      border: 1px solid #111111;
      color: #333333;
  }
  to {
      background-color: #333333;
      border: 1px solid #222222;
      color: #ffffff;
  }
}
@-webkit-keyframes colorize-action-btn {
  from {
      background-color: #ffffff;
      border: 1px solid #111111;
      color: #333333;
  }
  to {
      background-color: #333333;
      border: 1px solid #222222;
      color: #ffffff;
  }
}

@keyframes uncolorize-action-btn {
  from {
      background-color: #333333;
      border: 1px solid #222222;
      color: #ffffff;
  }
  to {
      background-color: #ffffff;
      border: 1px solid #111111;
      color: #333333;
  }
}
@-moz-keyframes uncolorize-action-btn {
  from {
      background-color: #333333;
      border: 1px solid #222222;
      color: #ffffff;
  }
  to {
      background-color: #ffffff;
      border: 1px solid #111111;
      color: #333333;
  }
}
@-webkit-keyframes uncolorize-action-btn {
  from {
      background-color: #333333;
      border: 1px solid #222222;
      color: #ffffff;
  }
  to {
      background-color: #ffffff;
      border: 1px solid #111111;
      color: #333333;
  }
}

@media(max-width:767px) {

  .modal-dialog .modal-content {
    top:50px;
  }

}

/**
 * Course Videos
 */
.course-videos .video-selector .vs.shelf ul,
.course-videos .video-selector .vs.shelf ul li {
  margin-top:5px!important;
  margin-bottom:5px!important;
}

/**
 * Module name
 */
.module-details-name {
  display:block;
  position:relative;
  margin-bottom:40px;
}
.module-details-name .title {
  font-family: "roboto-bold" !important;
  font-size: 2.4em;
  color: #444444;
  text-transform: uppercase;
  font-weight: bold;
}
.module-details-name .description {
  font-family: "roboto-regular" !important;
  font-size: 1.3em;
  font-weight: normal;
  color: #444444;
}

/**
 * Overall component customizations
 */
.sidebar .sidebar-summary .title,
.sidebar .sidebar-summary .sub-title {
  display:none;
}
.sidebar-summary div label {
  font-size: 1.3em!important;
}

/**
 * SVG icons
 */
.unit-1.svg-img .sidebar-menu-icon {
  fill: #ffffff;
  color: blue;
}

/**
 * Summaries
 */
.summary small {
  font-family: roboto-regular !important;
}
.summary b {
  font-family: roboto-bold;
  font-size: 1.1em;
}

.content-expander .cex-body h3 {
  font-family: roboto-bold!important;
  font-weight: 500;
  color: #333333 !important;
}
.cmc-container .content-expander .row {
  margin-left: -10px;
  margin-right: -10px;
}
.content-expander .row img {
  display: block;
  position: relative;
  left: 0;
  width: 100%;
  height: auto;
  overflow-y: hidden;
}
.content-expander p.centered {
  text-align: center;
}
.content-expander .framed-list-item {
  min-height: 216px;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 6px !important;
  margin-right: 6px !important;
  background: #fafafa;
  padding: 15px;
  border: 1px solid #f0f0f0;
  border-radius: 5px;
}
.references.centered {
  text-align: center;
}
.content-expander .references {
  display: block;
  position: relative;
  margin-top: 15px;
  margin-bottom: 15px;
  font-family: roboto-regular !important;
  font-weight: 300;
}

@media(max-width:991px) {

  .content-expander .framed-list-item {
    min-height: auto;
    margin-left: 0px !important;
    margin-right: 0px !important;
    padding: 0px !important;
  }

}